Package twisted :: Package application :: Module service :: Class Process

[frames | no frames]

## Class Process

Process running parameters

Sets up uid/gid in the constructor, and has a default of `None` as `processName`.

Method Summary
| ``__init__`(self, uid, gid)` Set uid and gid.

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.application.service.IPr...`
`NoneType` | `processName` = None

Method Details

### __init__(self, uid=None, gid=None)
(Constructor)

Set uid and gid.

By default, uid or gid will be the current user's if run on POSIX, or 0 if run on Windows.

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.application.service.IProcess at 0x8666044>,)

### processName

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:33 2004 | http://epydoc.sf.net